{% extends '::base.html.twig'%}
{% block body %}
    <div class="row">
        <div class="col-sm-12">
            <h3 style="text-align: center; font-family: RobotoRegular; text-transform: uppercase">Je crée mon projet</h3>
        </div>
    </div>
    <div class="row" style="padding: 15px">
        <div class="col-sm-12" style="background: #EDEDED; height: auto;">
            <div style="margin-top: 15px">
                {{ form_start(form) }}
                <div class="row">
                    <div class="col-sm-1 col-md-3 col-lg-3"></div>
                    <div class="col-sm-10 col-md-6 col-lg-6">
                        <div style="font-size: 0.9em; margin-bottom: 10px">Les champs marqués du signe (*) sont obligatoires</div>
                        <div class="row" style="margin-bottom: 10px">
                            <div class="col-sm-12 col-md-6 col-lg-6" style="margin: 0px; padding-left: 0px">
                                {%if form_errors(form.categorie) != ""%}
                                    <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                        <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button>
                                        {{ form_errors(form.categorie) }}
                                    </div>
                                {%endif%}
                                {{ form_widget(form.categorie) }}
                            </div>
                            <div class="col-sm-12 col-md-6 col-lg-6" style="margin: 0px; padding-right: 0px">
                                {%if form_errors(form.titre) != ""%}
                                    <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                        <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button>
                                        {{ form_errors(form.titre) }}
                                    </div>
                                {%endif%}
                                {{ form_widget(form.titre) }}
                            </div>
                        </div>
                        <div class="row" style="margin-bottom: 10px">
                            {%if form_errors(form.description) != ""%}
                                <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                    <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">×</span>
                                    </button>
                                    {{ form_errors(form.description) }}
                                </div>
                            {%endif%}
                            {{ form_widget(form.description) }}
                        </div>
                        <div class="row" style="margin-bottom: 10px">
                            <div class="col-sm-12 col-md-6 col-lg-6" style="margin: 0px; padding-left: 0px">
                                {%if form_errors(form.lienYoutube) != ""%}
                                    <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                        <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button>
                                        {{ form_errors(form.lienYoutube) }}
                                    </div>
                                {%endif%}
                                {{ form_widget(form.lienYoutube) }}
                            </div>
                            <div class="col-sm-12 col-md-6 col-lg-6" style="margin: 0px; padding-right: 0px">
                                {%if form_errors(form.lienSoundcloud) != ""%}
                                    <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                        <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button>
                                        {{ form_errors(form.lienSoundcloud) }}
                                    </div>
                                {%endif%}
                                {{ form_widget(form.lienSoundcloud) }}
                            </div>
                        </div>
                        <div class="row" style="margin-bottom: 10px">
                            {%if form_errors(form.objectifFinancier) != ""%}
                                <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                    <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">×</span>
                                    </button>
                                    {{ form_errors(form.objectifFinancier) }}
                                </div>
                            {%endif%}
                            {{ form_widget(form.objectifFinancier) }}
                        </div>
                        <div class="row" style="margin-bottom: 10px">
                            {%if form_errors(form.butDuFinancement) != ""%}
                                <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                    <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">×</span>
                                    </button>
                                    {{ form_errors(form.butDuFinancement) }}
                                </div>
                            {%endif%}
                            {{ form_widget(form.butDuFinancement) }}
                        </div>
                        {{ form_widget(form) }}
                        <div class="row">
                            <div class="col-sm-6" style="margin: 0px; padding: 0px">
                                <label>Photo de votre projet</label><br/>
                                <a href="javascript:void(0)" class="btn btn-default" id="downloadphoto-projet">Télécharger</a>
                            </div>
                            <div class="col-sm-6" style="margin: 0px; padding: 0px">
                                <label>Contrepartie des fans prévu</label><br/>
                                <a data-toggle="modal" data-target="#myModal" class="btn btn-default" id="downloadphoto-projet">Consulter</a>
                                <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                <h4 class="modal-title" id="myModalLabel">Contrepartie des fans</h4>
                                            </div>
                                            <div class="modal-body">
                                                <table class="table">
                                                    <thead>
                                                    <th style="width: 20%">Montant</th>
                                                    <th style="width: 25%">Titre</th>
                                                    <th style="width: 50%">Description</th>
                                                    <th style="width: 5%"></th>
                                                    </thead>
                                                    <tbody>
                                                        {%for c in projet.contrepartieProjets%}
                                                            <tr>
                                                                <td>{{c.montant}}</td>
                                                                <td>
                                                                    <input name="cplibelle-{{c.id}}" disabled="true" type="text" value="{{c.libelle}}" class="form-control"/>
                                                                </td>
                                                                <td>
                                                                    <textarea name="cpdescription-{{c.id}}" disabled="true" class="form-control" rows="2">{{c.description}}</textarea>
                                                                </td>
                                                                <td>
                                                                    <a class="btn btn-default editcp" id="editcp-{{c.id}}"><i class="glyphicon glyphicon-edit"></i></a>
                                                                </td>
                                                            </tr>
                                                        {%endfor%}
                                                    </tbody>
                                                </table>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div><br/>
                        <div class="col-sm-12" style="margin: 0px; padding: 0px">
                            <img class="thumbnail" id="previewphoto-projet" style="width: 100%" src="{{asset(projet.photo.webPath)}}"/>
                        </div>

                    </div>
                    <div class="col-sm-1 col-md-3 col-lg-3"></div>
                </div>
                <br/>
                <p style="text-align: center">
                    <button class="btn btn-default kifzik-ok-btn" type="submit" style="font-weight: bold">ENREGISTRER <i class="glyphicon glyphicon glyphicon-menu-right"></i></button>
                </p>
                {{ form_end(form) }}
            </div>
        </div>
    </div>
{% endblock body %}